List loan product versions
curl --request GET \
--url https://lender.sandbox.lerian.net/api/v1/loan-product-versions \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://lender.sandbox.lerian.net/api/v1/loan-product-versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-product-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-product-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"accrualBasis": "effective_interest",
"admittedBorrowerKinds": [
"pessoaFisica"
],
"changeReason": "<string>",
"createdAt": "2026-06-14T12:00:00Z",
"currency": "BRL",
"fixedMonthlyRate": "0.01800000",
"floatingSpreadBps": 1850,
"id": "550e8400-e29b-41d4-a716-446655440001",
"jurisdictionCode": "BR",
"productId": "550e8400-e29b-41d4-a716-446655440000",
"rateMode": "fixed",
"requiresFloatingRate": true,
"terms": {
"admitsAssignment": true,
"amortizationSystems": [
"price"
],
"amountAnchors": [
"gross"
],
"creditInstrumentMode": "lender_emitted",
"dayCount": "monthly_30",
"latePayment": {
"defaultInterestMonthly": "0.01",
"finePct": "0.02",
"graceDays": 0
},
"limits": {
"maxInstallments": 48,
"maxPrincipal": "50000.00",
"maxTermMonths": 48,
"minInstallments": 1,
"minPrincipal": "100.00",
"minTermMonths": 1
},
"originationFronts": [
"gateway_clt",
"lender_direct"
],
"paymentPeriodicities": [
"monthly"
],
"paymentRuleKinds": [
"interestOnly"
],
"payoffQuoteValidityHours": 24,
"prepaymentMode": "desk",
"refinance": {
"ratePolicy": "lower_than_weighted_average"
},
"releaseRequiresSignedInstrument": true
},
"firstDueDateWindow": {
"maxDays": 45,
"minDays": 15
},
"floatingRateTableId": "550e8400-e29b-41d4-a716-446655440002",
"jurisdictionExtensions": {},
"rateBand": {
"maxAnnualRateBps": 4800,
"minAnnualRateBps": 1200
}
}
]
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List loan product versions
Returns a page of immutable product version snapshots, newest first, optionally narrowed by product, jurisdiction, pricing mode, currency or accrual basis.
GET
/
api
/
v1
/
loan-product-versions
List loan product versions
curl --request GET \
--url https://lender.sandbox.lerian.net/api/v1/loan-product-versions \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://lender.sandbox.lerian.net/api/v1/loan-product-versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-product-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-product-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"accrualBasis": "effective_interest",
"admittedBorrowerKinds": [
"pessoaFisica"
],
"changeReason": "<string>",
"createdAt": "2026-06-14T12:00:00Z",
"currency": "BRL",
"fixedMonthlyRate": "0.01800000",
"floatingSpreadBps": 1850,
"id": "550e8400-e29b-41d4-a716-446655440001",
"jurisdictionCode": "BR",
"productId": "550e8400-e29b-41d4-a716-446655440000",
"rateMode": "fixed",
"requiresFloatingRate": true,
"terms": {
"admitsAssignment": true,
"amortizationSystems": [
"price"
],
"amountAnchors": [
"gross"
],
"creditInstrumentMode": "lender_emitted",
"dayCount": "monthly_30",
"latePayment": {
"defaultInterestMonthly": "0.01",
"finePct": "0.02",
"graceDays": 0
},
"limits": {
"maxInstallments": 48,
"maxPrincipal": "50000.00",
"maxTermMonths": 48,
"minInstallments": 1,
"minPrincipal": "100.00",
"minTermMonths": 1
},
"originationFronts": [
"gateway_clt",
"lender_direct"
],
"paymentPeriodicities": [
"monthly"
],
"paymentRuleKinds": [
"interestOnly"
],
"payoffQuoteValidityHours": 24,
"prepaymentMode": "desk",
"refinance": {
"ratePolicy": "lower_than_weighted_average"
},
"releaseRequiresSignedInstrument": true
},
"firstDueDateWindow": {
"maxDays": 45,
"minDays": 15
},
"floatingRateTableId": "550e8400-e29b-41d4-a716-446655440002",
"jurisdictionExtensions": {},
"rateBand": {
"maxAnnualRateBps": 4800,
"minAnnualRateBps": 1200
}
}
]
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Parámetros de consulta
¿Esta página le ayudó?

